import { EventEmitter } from '@angular/core';
import { ISlicer } from '@metad/ocap-core';
import { BaseSlicersComponent } from '../base-slicers';
import * as i0 from "@angular/core";
export declare class SlicerComponent extends BaseSlicersComponent {
    private translate;
    readonly slicer: import("@angular/core").InputSignal<ISlicer>;
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, string | boolean>;
    readonly limit: import("@angular/core").InputSignal<number>;
    removed: EventEmitter<any>;
    slicerChange: EventEmitter<ISlicer>;
    readonly title$: import("rxjs").Observable<any>;
    readonly members: import("@angular/core").Signal<import("@metad/ocap-core").IMember[]>;
    readonly more: import("@angular/core").Signal<number>;
    readonly displayBehaviour$: import("rxjs").Observable<import("@metad/ocap-core").DisplayBehaviour>;
    readonly advancedSlicer$: import("rxjs").Observable<any>;
    remove(): void;
    removeMember(index: number): void;
    editSlicer(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlicerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlicerComponent, "ngm-slicer", never, { "slicer": { "alias": "slicer"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "limit": { "alias": "limit"; "required": false; "isSignal": true; }; }, { "removed": "removed"; "slicerChange": "slicerChange"; }, never, never, false, never>;
}
